Create an account


Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
[SOLVED] Weird key hold issue with official version

#1
Hello again,

due to this issue I had to switch Xonotic versions from the Fedora 27 one to the official one as a standalone package.
While that thankfully fixed the other issue a new one has popped up now with this version:

When I press certain keys for more than about 1 second, the game will have issues.
Specifically and most notably, when I press my hotkey for zoom ('e') the camera will start zooming in and out in quick succession while the zoom overlay is still shown, which makes it really hard to use the zoom function to hit anything.
A similar problem occurs when I press 'Tab' for more than 1 second: this time, any text displayed on screen will start to wobble.

The other version did not have this issue (same keybindings), but I can't go back to it, because it caused the last issue.
Switching zoom to a different key does not solve the issue unfortunately.

Any ideas?
Reply

#2
There are 2 client executables - sdl and glx. Each uses a different input handling method, have you tried both?
[Image: 30381.png]
Reply

#3
Yeah I have and the problem doesn't occur when using glx but that executable has terrible performance so that I cannot play properly with it.
When I used the version of the game distributed with Fedora 27 I used the sdl executable and it didn't have the input issue...any idea what could be causing it in this version (the official version)?
Reply

#4
Or, another way of coming at this could be: what must I do to include the encryption support available in the official version in the fedora version?

I went back to using the fedora version now because I would rather the game be unable to maintain my stats profile than mess up my input handling, but I would, of course, prefer to have it all working.
Reply

#5
Idk what to do about that fedora package, you might wanna try talking to the maintainer to see why he's not including the crypto lib. It's nice that people package xon for us when we have nobody with the needed expertise but we typically don't have any contact with them.

There are 2 more things you could try:
  • Autobuilds - built the same way as release but newer code
  • Compiling xonotic yourself - this sometimes fixes issues for people but is slightly more effort (the guide is pretty comprehensive though, you just copy paste lines into terminal)
[Image: 30381.png]
Reply

#6
Thanks for your answer!

So I tried the autobuild, but that was a desaster...many more bugs and problems that made the game unstable and unplayable than with the other versions.

Next I tried building it myself by following the instructions on the site (that are not complete btw. as I had to install some packages that were not listed there and the ones that are listed for Fedora don't seem to exist in the standard repos); I am now stuck with this compile time error:
configure: error: GNU MP not found, see http://gmplib.org/, or try --with-openssl
which is weird, because I have the package gmp-1:6.1.2-6.fc27.x86_64 installed and that seems to be the newest build according to the GMP website.
I don't really compile stuff often and am kinda lost as to what to do next...do I need a different GMP version or what do you think is the problem?

Edit: okay I fixed that problem and now have a fully working build and it seems that there are no more problems now! Thanks for your help!

In case someone else has a similar issue: if you're using Fedora you need to install the following packages to be able to compile successfully:
Code:
libjpeg-turbo-devel SDL2-devel gcc-c++ gmp-devel libtool automake autoconf

and the following file with the name xonotic.desktop placed in /usr/share/applications/ will allow you to start the game from the search:
Code:
Name=Xonotic
Comment=Multiplayer, deathmatch oriented first person shooter
Encoding=UTF-8
Icon=/home/username/gitbuilds/xonotic/misc/logos/xonotic_icon.svg
Exec=/home/username/gitbuilds/xonotic/all run
Terminal=false
Type=Application
Categories=Game;ActionGame;
Just switch [username] with your user name and make sure the path to your git build is correct.
Reply

#7
Hehe, i was wondering why the fedora deps list was so short. Is your list complete? For now i added it to the wiki, i guess libjpeg-turbo-devel replaces libjpeg62-devel and libjpeg62-static-devel; SDL2-devel replaces libSDL2-devel; but are libalsa2-static-devel and x11-proto-devel necessary? I could remove them is not.
[Image: 30381.png]
Reply

#8
libalsa2-static-devel is not installed AFAICT and the compilation worked but x11-proto-devel was already installed, I guess, under the name xorg-x11-proto-devel


I also may have installed other relevant packages in the past...I dunno so the list may still be incomplete but this way at least it is more current.
Reply

#9
This is the issue with languages without a package manager - they just waste people's time. I removed alsa and the libjpeg62 stuff and did the laziest thing about x11-prote-devel i could without installing fedora in a VM and spending an afternoon going through compiler error messages and installing packages one by one based on them. Anyway, thanks.
[Image: 30381.png]
Reply

#10
Yeah it's fine...I can barely use the command line and somehow I managed so it's doable and even easier now for the next guy. Smile
Reply

#11
(05-21-2018, 07:41 AM)martin-t Wrote: This is the issue with languages without a package manager - they just waste people's time. I removed alsa and the libjpeg62 stuff and did the laziest thing about x11-prote-devel i could without installing fedora in a VM and spending an afternoon going through compiler error messages and installing packages one by one based on them. Anyway, thanks.

C and C++ now have a package manager. People just need to migrate to it.
Reply



Possibly Related Threads...
Thread Author Replies Views Last Post
  [BUG] SDL version not loading, glx version buggy rendering Halogene 3 1,177 10-19-2017, 06:04 AM
Last Post: Freddy
Question [NEEDS INFO] Multiplayer connection issue Adrint 18 3,298 06-20-2016, 01:37 AM
Last Post: BuddyFriendGuy
  [NEED HELP] Netradiant Xonotic support version BuddyFriendGuy 0 1,133 04-27-2016, 04:36 PM
Last Post: BuddyFriendGuy
  [NEEDS INFO] Dl' d new version, but still showing as 0.8.0 KingPimpCommander 1 1,167 10-13-2015, 01:07 AM
Last Post: Halogene
  [SOLVED] Remove translucent version text? cyborgamer 2 1,400 10-08-2015, 02:02 PM
Last Post: cyborgamer
  [SOLVED] Little resolution issue since using Xonotic 0.8.1 N1mbus 4 1,640 09-03-2015, 02:34 PM
Last Post: N1mbus
  [SOLVED] Version 8.0 won't start on OSX Yosemite oger 12 8,001 07-04-2015, 12:28 PM
Last Post: BuddyFriendGuy
  [SOLVED] Wierd rendering issue Ogger73 3 1,905 05-24-2015, 05:13 AM
Last Post: Mirio
  [NEED HELP] Weird Display Issue w/ Benchmarking Autobuild gamingwithnetbooks 2 1,928 11-13-2014, 08:35 AM
Last Post: gamingwithnetbooks
  [SOLVED] Ubuntu 12.04 Install Issue Red Viper 6 4,518 03-08-2014, 03:20 AM
Last Post: Halogene

Forum Jump:


Users browsing this thread:
1 Guest(s)

Forum software by © MyBB original theme © iAndrew 2016, remixed by -z-